You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2013-12-17 12:43:51

wendl
Member
Registered: 2011-06-29
Posts: 102

Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Bonjour

GLPI 0.84.3
Apache/2.2.15 (Win32) PHP/5.3.2


Au moment de l'install du plugin Data Injection 2.3.0 avec GLPI 0.84.3, dans Configuration > Plugins, lorsque je clic sur le bouton INSTALL, j'obtiens une page blanche.

http://127.0.0.1:4001/glpi/front/plugin.form.php

Si je relance plugin.form.php, ca passe, je peux faire ACTIVER dans Configuration > Plugins

Mais lorsque je veux créer mon premier modèle d'import, [+], il ne se passe rien.

Je vous remercie d'avance.

Cordialement.

Jay

Last edited by wendl (2013-12-17 12:47:27)

Offline

#2 2013-12-18 11:12:02

wendl
Member
Registered: 2011-06-29
Posts: 102

Re: Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Up?

Offline

#3 2013-12-19 10:33:43

wendl
Member
Registered: 2011-06-29
Posts: 102

Re: Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Hello,

Petite précision, en mode debug, au moment de l'install du plugin, j'obtiens :

Fatal error: Class 'PluginDatainjectionProfile' not found in C:\Users\toto\Documents\Development\server2go\htdocs\glpi\plugins\datainjection\hook.php on line 123.


123 PluginDatainjectionProfile::createFirstAccess($_SESSION["glpiactiveprofile"]["id"]);

en relancant plugin.form.php, j'obtiens un  "LOST"

En esperant avoir aidé.

Jay

Last edited by wendl (2017-04-07 11:42:53)

Offline

#4 2013-12-20 11:30:12

wendl
Member
Registered: 2011-06-29
Posts: 102

Re: Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Le sujet peut etre fermé. J'ai installé une version précédente GLPI pour faire en sorte que le plugin fonctionne. Too bad...
Jay.

Offline

#5 2013-12-27 09:12:27

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,184

Re: Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Installer une version précédente de GLPI ne solutionne pas le problème, bien au contraire.
Le message d'erreur vous indiquait qu'il manquait un fichier dans votre plugin.


CentOS 6.5 - CentOS 7.x
PHP 5.6 - PHP 7.x - MySQL 5.6  - MariaDB 10.2 + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#6 2013-12-27 19:49:46

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,184

Re: Injection de fichiers 2.3.0 Vs GLPI 0.84.3

Il y a eu une correction à ce sujet dan sle plugin https://forge.indepnet.net/issues/4586
vous pouvez prendre le daily-tarball pour avoir cette correction


CentOS 6.5 - CentOS 7.x
PHP 5.6 - PHP 7.x - MySQL 5.6  - MariaDB 10.2 + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB